CFW 5.50 Promethetheus-2 for fully hackable Motherboards

Discussion in 'PSP - Games & Content' started by xist, Sep 6, 2010.

  1. xist
    OP

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    5,861
    863
    Jul 14, 2008
    http://bbs.a9vg.com/read.php?tid=1508398&fpage=1


    http://www.megaupload.com/?d=SBL4J1KU
     
  2. FlashX007

    FlashX007 GBAtemp Maniac

    Newcomer
    1,295
    5
    May 3, 2009
    United States
    Wait so this came out recently? I have 5.50 Prometheus CFW at the moment and I didn't hack it myself and I have a 1000. I am worried I might mess it up if I do it on my own. I could use some help. Do I downgrade and do it or do I just upgrade from where I am at the moment?
     
  3. lolzed

    lolzed The GBAtemp Pichu

    Member
    2,466
    13
    Sep 13, 2008
    There
    just upgrade,but do the steps for keeping your saves
     
  4. Ryufushichou

    Ryufushichou I'm Not British, I'm Just Gay!

    Member
    668
    15
    Mar 29, 2008
    Raimon Junior High
    i thought we were on Promethus V4
     
  5. lolzed

    lolzed The GBAtemp Pichu

    Member
    2,466
    13
    Sep 13, 2008
    There
    that's the module/patch itself,for patching games one by one.
    This one is kinda like Promotheus+GEN,so you won't need to patch the games.
     
  6. Saken

    Saken GBAtemp Fan

    Member
    347
    21
    Sep 12, 2009
    If i'm on Prometheus 5.50 atm, will i need to patch the saves?
     
  7. nl255

    nl255 GBAtemp Addict

    Member
    2,616
    379
    Apr 9, 2004
    You shouldn't. I believe the problem is with GEN-D3 itself. When I upgraded from GEN-D2 to the original Prometheus I didn't have any of the save problems reported by D3 users.
     
  8. Exaltys

    Exaltys GBAtemp Fan

    Member
    344
    90
    Nov 10, 2009
    United States
    What is different from 5.50 Prometheus?
     
  9. dilav

    dilav GBAtemp Maniac

    Member
    1,230
    40
    Nov 22, 2006
    United States
    Wondering the same... anyone know?
     
  10. xist
    OP

    xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Member
    5,861
    863
    Jul 14, 2008
    It plays clean 6.20 games as described....KHBBS, MGSPW are mentioned in the initial release document.
     
  11. Exaltys

    Exaltys GBAtemp Fan

    Member
    344
    90
    Nov 10, 2009
    United States
    Doesn't 5.50 Prometheus do that?
     
  12. dilav

    dilav GBAtemp Maniac

    Member
    1,230
    40
    Nov 22, 2006
    United States
    5.50 Prometheus-2 changes
    * Support more new games
    * Support future encryption games requiring 6.30

    5.03 Prometheus-2 is also out for slim systems running on gen
     
  13. FlashX007

    FlashX007 GBAtemp Maniac

    Newcomer
    1,295
    5
    May 3, 2009
    United States
    So I should just upgrade and not backup or do whatever you told me to do for the saves? I don't have many games at the moment nor do I have many plugins. I just have Star Wars BFII, Fifa 10, Fat Princess, MHFU, MGSPW, NFSMW, and psnlover and cwcheat.
     
  14. Blaze163

    Blaze163 The White Phoenix's purifying flame.

    Member
    3,769
    789
    Nov 19, 2008
    Coventry, UK
    Let me get this right. This is a slightly newer version of Prometheus which will allow me to play KHBBS? Will it also tackle Ace Combat X2 and Valkyria Chronicles 2? If so, I'll download it all on my sick day tomorrow, I'll be damned if I'm doing an 11 hour shift when I've been sick five times today.
     
  15. KingVamp

    KingVamp Great... AETHER!

    Member
    10,248
    1,947
    Sep 13, 2009
    United States
    My thing detect possible spy ware and junk [​IMG] !!!
     
  16. overslept

    overslept WALLY WALLY WALLY WALLY WALLY WALLY WALLY WORLD

    Member
    706
    4
    Mar 22, 2009
    United States
    California
    I already have 5.50 Prometheus and can play MGSPW and BBS just fine.
     
  17. FlashX007

    FlashX007 GBAtemp Maniac

    Newcomer
    1,295
    5
    May 3, 2009
    United States
    So it's a waste? I figured much but I was just making sure.
     
  18. Ryufushichou

    Ryufushichou I'm Not British, I'm Just Gay!

    Member
    668
    15
    Mar 29, 2008
    Raimon Junior High
    so with this new firmware, will i be able to play the retail version of BBS im buying tomorrow? (its release date is tomorrow here!)
     
  19. prowler

    prowler Sony

    Member
    9,473
    2,816
    Jul 14, 2009
    Ragol
    Apparently you can.
     
  20. Ryufushichou

    Ryufushichou I'm Not British, I'm Just Gay!

    Member
    668
    15
    Mar 29, 2008
    Raimon Junior High
    Yay! thanks for the info!